Name:          BareBonesBrowserLaunch
Version:       3.1
Release:       %mkrel 18
Group:         Development/Java
Summary:       Simple library to launch a browser window from Java
License:       Public Domain
URL:           https://www.centerkey.com/java/browser/
Source0:       https://www.centerkey.com/java/browser/myapp/real/bare-bones-browser-launch-%{version}.jar

BuildRequires: java-devel
BuildRequires: javapackages-local

BuildArch:     noarch

%description
Utility class to open a web page from a Swing application in the user's 
default browser. Supports: Mac OS X, GNU/Linux, Unix, Windows XP

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -c

find * -name *.class -delete
rm -rf doc/*

%build

%{javac} com/centerkey/utils/BareBonesBrowserLaunch.java
%{jar} -cf %{name}.jar com/centerkey/utils/BareBonesBrowserLaunch.class
%{javadoc} -encoding UTF-8 -d doc com/centerkey/utils/BareBonesBrowserLaunch.java -windowtitle "%{name} %{version}"

%install
%mvn_artifact com.centerkey.utils:%{name}:%{version} %{name}.jar
%mvn_file com.centerkey.utils:%{name} %{name}
%mvn_install -J doc

%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Tue May 21 2024 ns80 <ns80> 3.1-18.mga10
+ Revision: 2065489
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 3.1-17.mga9
+ Revision: 1828146
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 3.1-16.mga8
+ Revision: 1489281
- Mageia 8 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 3.1-14.mga7
+ Revision: 1260037
- Mageia 7 Mass Rebuild

* Sat Feb 27 2016 neoclust <neoclust> 3.1-13.mga6
+ Revision: 980095
- Rebuild on fixed stack
- sync package BareBonesBrowserLaunch with fedora

* Sat Feb 06 2016 umeabot <umeabot> 3.1-10.mga6
+ Revision: 940173
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1-9.mga5
+ Revision: 739668
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-8.mga5
+ Revision: 677639
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.1-7.mga4
+ Revision: 542009
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 3.1-6.mga4
+ Revision: 496667
- imported package BareBonesBrowserLaunch


* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 8 2010 Orion Poplawski <orion@cora.nwra.com> 3.1-1
- Update to 3.1

* Thu Jun 3 2010 Orion Poplawski <orion@cora.nwra.com> 3.0-1
- Update to 3.0
- Don't make javadoc require main package

* Wed Jan 6 2010 Orion Poplawski <orion@cora.nwra.com> 2.0-2
- Unversion javadoc dir

* Mon Dec 28 2009 Orion Poplawski <orion@cora.nwra.com> 2.0-1
- Update to 2.0
- Use upstream jar source directly
- Cleanup spec

* Thu Feb 5 2009 John Matthews <jmatthews@redhat.com> 1.5-1
initial package
